Skip to main content
GET
/
api
/
v1
/
fraud
/
blacklist
Kara liste kayıtlarını listele
curl --request GET \
  --url https://fraud-sandbox.payven.com.tr/api/v1/fraud/blacklist \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "display_value": "<string>",
      "reason": "<string>",
      "expires_at": "2023-11-07T05:31:56Z",
      "is_active": true,
      "created": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

entry_type
enum<string>
Available options:
card,
email,
ip,
device,
iban,
merchant_external_id
scope
enum<string>
Available options:
global,
tenant
include_global
boolean
page
integer<int32>
page_size
integer<int32>
search_term
string

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
has_previous_page
boolean
read-only
has_next_page
boolean
read-only